Description

The description of CsConverter.targetAlpha contains the constraint " It is only applicable for rectifier if continuous tap changer control
is used."

The description of CsConverter.targetGamma contains the constraint " It is only applicable for inverter if continuous tap changer
control is used."

The following needs to be clarified:

- on what element is the tap changer e.g. is it the TapChangerControl that regulates the Terminal that is referenced by
ACDCConverter.PccTerminal or it is something else?

- the severity shall be clarified - to confirm that this is error if these conditions are not met

Proposed Solution

The description of CsConverter.targetAlpha currently contains the constraint: "It is only applicable for rectifier if continuous tap
changer control is used."

The description of CsConverter.targetGamma currently contains the constraint: "It is only applicable for inverter if continuous tap
changer control is used."

In the 301 we change the above respectively to:

"It is only applicable for rectifier control.”

and

"It is only applicable for inverter control."

(it is also suggested that we include the below clarification on the control modes within the description in the 301 as well)

In the 456 (and 600 to reference it) we to verify and/or update if necessary:

The two control modes are mutually exclusive therefore it is expected that one, and only on, will be specified in the SSH profile (this
must be verified that a constraint already exists today in the 456 for SSH that enforces this).

The SV attributes alpha and gamma for CsConverter are currently both required cardinality. They should both be optional and a
constraint added to link them to the type of control declared within SSH. Only one or the other should be present but not both.

Decision

Apply the above proposed solution as amendments to the publication for CIM17. They should naturally be carried over and appear
within CIM18 publications as well.
May want to evaluate at the same time if we have other minor "bug fixes" we may want to include at the same time.

Chavdar: To work with ENTSO-E to determine impact and how they will approach this.

Release Notes

The description of CsConverter.targetAlpha is modified to "Target firing angle. It is converter’s control variable used in power flow. It
is only applicable for rectifier control. Allowed values are within the range minAlpha<=targetAlpha<=maxAlpha. The attribute shall be
a positive value.

The description of CsConverter.targetGamma is modified to "Target extinction angle. It is converter’s control variable used in power
flow. It is only applicable for inverter control. Allowed values are within the range minGammax<=targetGamma<=maxGamma. The
attribute shall be a positive value.

- added the following text to CsConverter: "Attributes targetAlpha and targetGamma are mutually exclusive therefore only one of
them can be defined to describe an operating target."

In 61970-456

- SV profile: changed CsConverter.alpha to optional

- SV Profile: changed CsConverter.gamma to optional

- The following constraints are added in SV profile

» (:456:SV:CsConverter.alpha:cardinality

The CsConverter.alpha is required if CsConverter.operatingMode equals CsOperatingModeKind.rectifier. CsConverter.gamma is not
exchanged in this case.

» (C:456:SV:CsConverter.gamma:cardinality
The CsConverter.gamma is required if CsConverter.operatingMode equals CsOperatingModeKind.inverter. CsConverter.alpha is not
exchanged in this case.

History

#1 - 02/07/2023 10:58 AM - Chavdar lvanov
- Standard(s) changed from 71970-301, 61970-452, 61970-600 to 61970-301, 61970-452, 61970-600

#2 - 05/02/2023 11:59 AM - Todd Viegut

- Release Notes updated

#3 - 05/03/2023 07:52 AM - Todd Viegut
- Release Notes updated
02-May-2023:

The SV attributes alpha and gamma for CsConverter are currently both required cardinality. They should both be optional and a constraint added to
link them to the type of control declared within SSH. Needs to be discussed. Only one or the other should be present but not both.

Important open question/action items:

What do we do with the current release of the 456/600 standards (CIM17) and the 301 for the description that should be clarified? Needed in the
short term for ENTSO-E that can not wait until CIM18.

#4 - 05/10/2023 10:55 AM - Todd Viegut
- Proposed Solution updated
- Decision updated

- Release Notes updated

#5 - 02/04/2024 01:52 AM - Chavdar Ilvanov

- Status changed from New to Open

- Solution to be Applied To set to CIM18v10

- Solution Version set to CIM18v10

- Solution Applied By set to Chavdar Ilvanov

- Completion Date set to 02/04/2024

- Breaking Change changed from No to Yes

- Breaking Change Description set to Change of cardinality in SV profile 61970-456
- Release Notes updated

- CIM Keywords 61970-DC added

#6 - 02/04/2024 01:52 AM - Chavdar lvanov

- Status changed from Open to In Progress

#7 - 02/04/2024 01:52 AM - Chavdar lvanov

- Status changed from In Progress to Closed
